Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Windows version requirements (oldest and newest)? x86, x86-64, or both?

Should run on both! Admittedly I haven't tested on 32-bit but Windows handles that backwards compatibility very well in my experience.

Sorry I'm just seeing this!  Been on a bit of a hiatus.